aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..bda9717
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+
+# If something goes wrong, get the f*ck out.
+set -e
+
+# Install the files on this repo.
+cp bashrc $HOME/.bashrc
+cp irbrc $HOME/.irbrc
+cp gemrc $HOME/.gemrc
+cp gitcompletion.sh $HOME/.gitcompletion.sh
+cp gitconfig $HOME/.gitconfig
+cp global.gitignore $HOME/.gitignore
+cp vimrc $HOME/.vimrc
+cp hgrc $HOME/.hgrc
+cp rake_completion $HOME/.rake_completion
+chmod +x $HOME/.rake_completion